﻿using System.Collections.Generic;

namespace MWS.Library.Common.Module
{
    public class PageData<T>  
    {
        public int PageIndex { get; set; }
        public int PageSize { get; set; }
        public int TotalCount { get; set; }
        public int TotalPage => (TotalCount + PageSize - 1) / PageSize;
        public IList<T> Data { get; set; }
    }
}
