﻿using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Globalization;
using System.Resources;
using System.Runtime.CompilerServices;

namespace MWS.Library.Common.Resources
{
    [DebuggerNonUserCode]
    [CompilerGenerated]
    [GeneratedCode("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
    public class DefaultErrorMessages
    {
        internal DefaultErrorMessages()
        {
        }

        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public static ResourceManager ResourceManager
        {
            get
            {
                if (object.ReferenceEquals(DefaultErrorMessages.resourceMan, null))
                {
                    ResourceManager resourceManager = new ResourceManager("System.Utility.Resources.DefaultErrorMessages", typeof(DefaultErrorMessages).Assembly);
                    DefaultErrorMessages.resourceMan = resourceManager;
                }
                return DefaultErrorMessages.resourceMan;
            }
        }

        [EditorBrowsable(EditorBrowsableState.Advanced)]
        public static CultureInfo Culture
        {
            get
            {
                return DefaultErrorMessages.resourceCulture;
            }
            set
            {
                DefaultErrorMessages.resourceCulture = value;
            }
        }

    
        public static string ArgumentNotNull
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("ArgumentNotNull", DefaultErrorMessages.resourceCulture);
            }
        }

        public static string ArgumentNotNullOrEmpty
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("ArgumentNotNullOrEmpty", DefaultErrorMessages.resourceCulture);
            }
        }

     
        public static string Compare
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Compare", DefaultErrorMessages.resourceCulture);
            }
        }

       
        public static string DateTimeRequired
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("DateTimeRequired", DefaultErrorMessages.resourceCulture);
            }
        }

     
        public static string Default
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Default", DefaultErrorMessages.resourceCulture);
            }
        }

       
        public static string FileMustExist
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("FileMustExist", DefaultErrorMessages.resourceCulture);
            }
        }

      
        public static string Length
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Length", DefaultErrorMessages.resourceCulture);
            }
        }

        public static string NotEmpty
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("NotEmpty", DefaultErrorMessages.resourceCulture);
            }
        }

     
        public static string Range
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Range", DefaultErrorMessages.resourceCulture);
            }
        }

      
        public static string Regex
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Regex", DefaultErrorMessages.resourceCulture);
            }
        }

      
        public static string Required
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("Required", DefaultErrorMessages.resourceCulture);
            }
        }

      
        public static string StringRequired
        {
            get
            {
                return DefaultErrorMessages.ResourceManager.GetString("StringRequired", DefaultErrorMessages.resourceCulture);
            }
        }

      
        private static ResourceManager resourceMan;

        private static CultureInfo resourceCulture;
    }
}

