﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Model.Dto
{
    public class Gateway
    {
        /// <summary>
        /// 创建时间  
        /// </summary>
        public virtual DateTime CreateTime { get; set; }

        /// <summary>
        /// 网关说明 网关描述 
        /// </summary>
        public virtual string Descirption { get; set; }

        /// <summary>
        /// 网关IP地址  
        /// </summary>
        public virtual string GatewayIpaddress { get; set; }

        /// <summary>
        /// 网关名称 网关名称 只能是中文 
        /// </summary>
        public virtual string GatewayName { get; set; }

        /// <summary>
        /// 网关端口  
        /// </summary>
        public virtual int GatewayPort { get; set; }

        /// <summary>
        /// 网关类型 1 PLC ,2 modbus 
        /// </summary>
        public virtual int GatewayType { get; set; }

        /// <summary>
        /// 编号 编号 自增 
        /// </summary>
        public virtual int Id { get; set; }

        /// <summary>
        /// PLC品牌 1 西门子 
        /// </summary>
        public virtual int PlcBrand { get; set; }

        /// <summary>
        /// PLC型号  
        /// </summary>
        public virtual string PlcModel { get; set; }

        /// <summary>
        /// 波特率  
        /// </summary>
        public virtual int SerialBaudRate { get; set; }

        /// <summary>
        /// 数据位 5678 
        /// </summary>
        public virtual int SerialDataBits { get; set; }

        /// <summary>
        /// 检验位  
        /// </summary>
        public virtual int SerialParity { get; set; }

        /// <summary>
        /// 端口号 
        /// </summary>
        public virtual string SerialPortName { get; set; }

        /// <summary>
        /// 停止位  
        /// </summary>
        public virtual int SerialStopBits { get; set; }
    }
}
