﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Model.Dto
{
    public class RealTimeAlertDto
    {
        public int TagId { get; set; }

        public int DeviceId { get; set; }
        public int MecTypeId { get; set; }
        /// <summary>
        /// 机构名称
        /// </summary>
        public string MecType { get; set; }
        /// <summary>
        /// 变量Code
        /// </summary>
        public string VarCode { get; set; }
        /// <summary>
        /// 消息内容
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// 类型 1 指令 2预警 3 报警 4 故障
        /// </summary>
        public string AlertType { get; set; }
        public int AlertTypeId { get; set; }
        /// <summary>
        /// 触发时间
        /// </summary>
        public DateTime TriggerTime { get; set; }
        /// <summary>
        /// 恢复时间
        /// </summary>
        public DateTime RecoverTime { get; set; }
    }
}
