﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Model.Dto
{
    public class RecordDto
    {
        public int Id { get; set; }
 
        /// <summary>
        /// 班组Id
        /// </summary>
        public int TeamId { get; set; }

        /// <summary>
        /// 班组名称
        /// </summary>
        public string TeamName { get; set; }

        /// <summary>
        /// 毛重
        /// </summary>
        public float GrossWeight { get; set; }

        /// <summary>
        /// 皮重
        /// </summary>
        public float TareWeight { get; set; }

        /// <summary>
        /// 净重
        /// </summary>
        public float NetWeight { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        public DateTime Time { get; set; }

        /// <summary>
        /// 设备Id
        /// </summary>
        public int DeviceId { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }

        /// <summary>
        /// 料口Id
        /// </summary>
        public int EntranceId { get; set; }

        /// <summary>
        /// 料口名称
        /// </summary>
        public string EntranceName { get; set; }
    }
}
