﻿namespace MWS.Model.Model
{
    public class DeviceComponentConfig
    {
        /// <summary>
        /// 起重机Id
        /// </summary>
        public short DeviceId { get; set; }

        /// <summary>
        /// 起重机名称
        /// </summary>
        public string DeviceName { get; set; }

        /// <summary>
        ///  采集源Id
        /// </summary>
        public short ComponentId { get; set; }

        /// <summary>
        /// 采集源型号 如： SiemensS7:1200 或 Modbus站号 
        /// </summary>
        public string ComponentModel { get; set; }

        /// <summary>
        /// 采集源 Ip地址
        /// </summary>
        public string ComponentAddress { get; set; }


    }
}
