﻿using System.Collections.Generic;

namespace MWS.Model.Model
{
    /// <summary>
    /// 设备变量布局
    /// </summary>
    public class DeviceMainDataModel
    {
        /// <summary>
        /// 起重机Id
        /// </summary>
        public int DeviceId { get; set; }

        /// <summary>
        /// 载荷
        /// </summary>
        public int WeightTagId { get; set; }

        /// <summary>
        /// 大车机构
        /// </summary>
        public MecMainDataModel BigCar { get; set; }

        /// <summary>
        /// 小车机构
        /// </summary>
        public MecMainDataModel SmallCar { get; set; }

        /// <summary>
        /// 起升机构
        /// </summary>
        public MecMainDataModel Hoist { get; set; }

        /// <summary>
        /// 开关量配置
        /// </summary>
        public List<int> SwitchTagIds { get; set; }

    }

    /// <summary>
    /// 机构数据
    /// </summary>
    public class MecMainDataModel
    {
        /// <summary>
        /// 档位
        /// </summary>
        public int GearTagId { get; set; }
        /// <summary>
        /// 制动
        /// </summary>
        public int BrakeTagId { get; set; }
        /// <summary>
        /// 行程
        /// </summary>
        public int StrokeTagId { get; set; }
    }

}
