﻿namespace MWS.Model.Model
{
    public class TagModel
    {
        /// <summary>
        /// id  
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 变量名称 变量名称:  机构名称简写_编号 
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 变量名中文  
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 所属机构 1主起升 2副起升 3大车 4主小车 5副小车 6总配电 
        /// </summary>
        public int MecType { get; set; }

        /// <summary>
        /// 数据类型 1 bool 2 ushort 3 short 4 uint 5 int 6 float 7 string
        /// </summary>
        public int DataType { get; set; }

        /// <summary>
        /// 开关量类型 1 指示 True 绿灯 False 灰灯 2 报警 True 黄灯 False 绿灯 3 故障 True 红灯 False 绿灯 
        /// </summary>
        public int SwitchType { get; set; }
 
        /// <summary>
        /// 排序 升序 
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }

        /// <summary>
        /// 原始值/脉冲值
        /// </summary>
        public object AD { get; set; }

        /// <summary>
        /// 变量值 
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// 变量机构内分组
        /// </summary>
        public short Group { get; set; }
 
    }
}
