﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MWS.Model
{
    [Serializable]
    public partial class Record
    {
        [Key]
        public long Id { get; set; }

        /// <summary>
        /// 料口Id
        /// </summary>
        public short Entrance { get; set; }

        /// <summary>
        /// 班组Id
        /// </summary>
        public short? Team { get; set; }

        /// <summary>
        /// 设备Id
        /// </summary>
        public int Device { get; set; }


        /// <summary>
        /// 净重
        /// </summary>
        public float NetWeight { get; set; }

        /// <summary>
        /// 总重
        /// </summary>
        public float GrossWeight { get; set; }

        /// <summary>
        /// 皮重
        /// </summary>
        public float TareWeight { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }
    }
}