﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MWS.Model
{
    [Serializable]
    public partial class T_FixedCalibration
    {
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 变量类型 0 正常 1 档位 2 行程 3 高度 4 载荷  5 电流 6 电压 7 速度 8 振幅 9 温度
        /// </summary>
        public short TagType { set; get; }

        /// <summary>
        /// 电流参考值A
        /// </summary>
        public double A { get; set; }
        /// <summary>
        /// 电流参考值B
        /// </summary>
        public double B { get; set; }
    }
}
