﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MWS.Model
{
    [Serializable]
    public partial class User
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 角色 1 普通用户 2 管理员
        /// </summary>
        public short Role { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// 是否锁定
        /// </summary>
        public bool IsLocked { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime Time { get; set; }
    }
}