/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 80019
Source Host           : localhost:3306
Source Database       : gcas_new

Target Server Type    : MYSQL
Target Server Version : 80019
File Encoding         : 65001

Date: 2022-08-10 17:11:27
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for actions
-- ----------------------------
DROP TABLE IF EXISTS `actions`;
CREATE TABLE `actions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `operator` varchar(20) DEFAULT NULL COMMENT '操作员',
  `Info` varchar(200) DEFAULT NULL COMMENT '操作内容',
  `time` timestamp NULL DEFAULT NULL COMMENT '操作时间',
  `rolename` varchar(20) DEFAULT NULL COMMENT '角色名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=230 DEFAULT CHARSET=utf8 COMMENT='操作记录';

-- ----------------------------
-- Records of actions
-- ----------------------------
INSERT INTO `actions` VALUES ('179', 'admin', '登录系统', '2021-08-11 11:54:00', '管理员');
INSERT INTO `actions` VALUES ('180', 'admin', '登录系统', '2021-08-19 10:51:24', '管理员');
INSERT INTO `actions` VALUES ('181', 'admin', '登录系统', '2021-08-27 10:23:38', '管理员');
INSERT INTO `actions` VALUES ('182', 'admin', '登录系统', '2021-08-27 10:29:15', '管理员');
INSERT INTO `actions` VALUES ('183', 'admin', '登录系统', '2021-08-27 10:30:34', '管理员');
INSERT INTO `actions` VALUES ('184', 'admin', '登录系统', '2021-08-27 10:33:00', '管理员');
INSERT INTO `actions` VALUES ('185', 'admin', '登录系统', '2021-08-27 10:53:52', '管理员');
INSERT INTO `actions` VALUES ('186', 'admin', '登录系统', '2021-08-27 10:55:09', '管理员');
INSERT INTO `actions` VALUES ('187', 'admin', '登录系统', '2021-08-27 10:58:45', '管理员');
INSERT INTO `actions` VALUES ('188', 'admin', '登录系统', '2021-12-12 10:35:38', '管理员');
INSERT INTO `actions` VALUES ('189', 'admin', '登录系统', '2021-12-16 13:49:32', '管理员');
INSERT INTO `actions` VALUES ('190', 'admin', '登录系统', '2022-02-22 14:38:03', '管理员');
INSERT INTO `actions` VALUES ('191', 'admin', '登录系统', '2022-02-22 14:39:21', '管理员');
INSERT INTO `actions` VALUES ('192', 'admin', '登录系统', '2022-02-22 14:40:09', '管理员');
INSERT INTO `actions` VALUES ('193', 'admin', '登录系统', '2022-02-22 14:43:17', '管理员');
INSERT INTO `actions` VALUES ('194', 'admin', '登录系统', '2022-02-22 14:46:59', '管理员');
INSERT INTO `actions` VALUES ('195', 'admin', '登录系统', '2022-02-22 14:49:34', '管理员');
INSERT INTO `actions` VALUES ('196', 'admin', '登录系统', '2022-02-22 16:41:09', '管理员');
INSERT INTO `actions` VALUES ('197', 'admin', '登录系统', '2022-02-23 08:08:19', '管理员');
INSERT INTO `actions` VALUES ('198', 'admin', '登录系统', '2022-02-23 08:17:56', '管理员');
INSERT INTO `actions` VALUES ('199', 'admin', '登录系统', '2022-02-25 11:24:11', '管理员');
INSERT INTO `actions` VALUES ('200', 'admin', '登录系统', '2022-02-25 11:25:32', '管理员');
INSERT INTO `actions` VALUES ('201', 'admin', '登录系统', '2022-02-25 11:49:25', '管理员');
INSERT INTO `actions` VALUES ('202', 'admin', '登录系统', '2022-02-25 11:50:13', '管理员');
INSERT INTO `actions` VALUES ('203', 'admin', '登录系统', '2022-02-25 11:50:43', '管理员');
INSERT INTO `actions` VALUES ('204', 'admin', '登录系统', '2022-02-25 11:51:58', '管理员');
INSERT INTO `actions` VALUES ('205', 'admin', '登录系统', '2022-02-25 11:52:54', '管理员');
INSERT INTO `actions` VALUES ('206', 'admin', '登录系统', '2022-02-28 08:05:09', '管理员');
INSERT INTO `actions` VALUES ('207', 'admin', '登录系统', '2022-03-03 15:54:41', '管理员');
INSERT INTO `actions` VALUES ('208', 'admin', '登录系统', '2022-03-04 11:03:47', '管理员');
INSERT INTO `actions` VALUES ('209', 'admin', '登录系统', '2022-03-04 11:14:18', '管理员');
INSERT INTO `actions` VALUES ('210', 'admin', '登录系统', '2022-04-19 11:56:58', '管理员');
INSERT INTO `actions` VALUES ('211', 'admin', '登录系统', '2022-04-19 11:57:30', '管理员');
INSERT INTO `actions` VALUES ('212', 'admin', '登录系统', '2022-04-19 11:58:03', '管理员');
INSERT INTO `actions` VALUES ('213', 'admin', '登录系统', '2022-04-19 11:58:18', '管理员');
INSERT INTO `actions` VALUES ('214', 'admin', '登录系统', '2022-04-19 13:35:56', '管理员');
INSERT INTO `actions` VALUES ('215', 'admin', '登录系统', '2022-04-19 13:51:51', '管理员');
INSERT INTO `actions` VALUES ('216', 'admin', '登录系统', '2022-04-19 13:58:14', '管理员');
INSERT INTO `actions` VALUES ('217', 'admin', '登录系统', '2022-04-19 14:41:02', '管理员');
INSERT INTO `actions` VALUES ('218', 'admin', '登录系统', '2022-04-19 14:56:11', '管理员');
INSERT INTO `actions` VALUES ('219', 'admin', '登录系统', '2022-04-19 14:56:42', '管理员');
INSERT INTO `actions` VALUES ('220', 'admin', '登录系统', '2022-04-19 15:14:04', '管理员');
INSERT INTO `actions` VALUES ('221', 'admin', '登录系统', '2022-04-19 15:16:35', '管理员');
INSERT INTO `actions` VALUES ('222', 'admin', '登录系统', '2022-04-19 15:38:04', '管理员');
INSERT INTO `actions` VALUES ('223', 'admin', '登录系统', '2022-04-19 15:55:20', '管理员');
INSERT INTO `actions` VALUES ('224', 'admin', '登录系统', '2022-04-25 09:58:11', '管理员');
INSERT INTO `actions` VALUES ('225', 'admin', '登录系统', '2022-04-25 10:04:49', '管理员');
INSERT INTO `actions` VALUES ('226', 'admin', '登录系统', '2022-04-25 10:09:24', '管理员');
INSERT INTO `actions` VALUES ('227', 'admin', '登录系统', '2022-04-25 10:11:33', '管理员');
INSERT INTO `actions` VALUES ('228', 'admin', '登录系统', '2022-07-20 11:27:29', '管理员');
INSERT INTO `actions` VALUES ('229', 'admin', '登录系统', '2022-07-29 14:40:16', '管理员');

-- ----------------------------
-- Table structure for config
-- ----------------------------
DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
  `id` int NOT NULL AUTO_INCREMENT,
  `key` varchar(50) NOT NULL COMMENT '键名',
  `value` varchar(100) NOT NULL COMMENT '键值',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='配置信息';

-- ----------------------------
-- Records of config
-- ----------------------------
INSERT INTO `config` VALUES ('1', 'RiseThresholdMin', '1000', '起升门限 小');
INSERT INTO `config` VALUES ('2', 'RiseThresholdMax', '3200', '起升门限 大');
INSERT INTO `config` VALUES ('3', 'PutThresholdMin', '1000', '投料门限 小');
INSERT INTO `config` VALUES ('4', 'PutThresholdMax', '8000', '投料门限 大');

-- ----------------------------
-- Table structure for device
-- ----------------------------
DROP TABLE IF EXISTS `device`;
CREATE TABLE `device` (
  `id` int NOT NULL COMMENT '编号',
  `ip` varchar(20) NOT NULL COMMENT 'IP地址',
  `port` int DEFAULT NULL COMMENT '端口',
  `Name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备名称',
  `code` int DEFAULT NULL COMMENT '设备编码',
  `tareweight` int NOT NULL COMMENT '皮重',
  `CreationTime` timestamp NULL DEFAULT NULL COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='设备';

-- ----------------------------
-- Records of device
-- ----------------------------
INSERT INTO `device` VALUES ('1', '192.168.1.221', '20108', 'A车', '1', '4000', '2020-01-18 14:50:59');
INSERT INTO `device` VALUES ('2', '192.168.1.222', '20108', 'B车', '1', '4000', '2020-01-18 14:50:59');
INSERT INTO `device` VALUES ('3', '192.168.1.223', '20108', 'C车', '1', '4000', '2020-01-18 14:50:59');

-- ----------------------------
-- Table structure for entrance
-- ----------------------------
DROP TABLE IF EXISTS `entrance`;
CREATE TABLE `entrance` (
  `id` int NOT NULL COMMENT '编号',
  `Name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '料口名称',
  `CreationTime` datetime DEFAULT NULL COMMENT '添加事件',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='料口';

-- ----------------------------
-- Records of entrance
-- ----------------------------
INSERT INTO `entrance` VALUES ('1', '1#料口', '2020-01-19 09:38:28');

-- ----------------------------
-- Table structure for operator
-- ----------------------------
DROP TABLE IF EXISTS `operator`;
CREATE TABLE `operator` (
  `id` smallint unsigned NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(20) NOT NULL COMMENT '名称',
  `truename` varchar(20) DEFAULT NULL COMMENT '真实姓名',
  `pwd` varchar(50) DEFAULT NULL COMMENT '密码 MD5',
  `time` timestamp NULL DEFAULT NULL COMMENT '添加时间',
  `role` smallint DEFAULT NULL COMMENT '角色 1 用户 2管理员',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='操作员';

-- ----------------------------
-- Records of operator
-- ----------------------------
INSERT INTO `operator` VALUES ('1', 'admin', 'admin', '46f94c8de14fb36680850768ff1b7f2a', '2020-01-18 12:59:21', '2');
INSERT INTO `operator` VALUES ('2', 'user', 'user', '46f94c8de14fb36680850768ff1b7f2a', '2020-01-18 12:59:21', '1');
INSERT INTO `operator` VALUES ('3', 'test', 'dt', '46f94c8de14fb36680850768ff1b7f2a', '2021-06-04 10:43:41', '1');

-- ----------------------------
-- Table structure for record
-- ----------------------------
DROP TABLE IF EXISTS `record`;
CREATE TABLE `record` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT '编号',
  `number` varchar(20) DEFAULT NULL COMMENT '编号 日期+当天编号',
  `time` datetime DEFAULT NULL COMMENT '称重时间',
  `entrance` int DEFAULT NULL COMMENT '料口ID',
  `team` int DEFAULT NULL COMMENT '班组ID',
  `device` int DEFAULT NULL COMMENT '设备ID',
  `grossweight` double(8,2) DEFAULT NULL COMMENT '总重',
  `tareweight` double(8,2) DEFAULT NULL COMMENT '皮重',
  `netweight` double(8,2) DEFAULT NULL COMMENT '净重',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16364 DEFAULT CHARSET=utf8 COMMENT='称重记录';

-- ----------------------------
-- Records of record
-- ----------------------------
INSERT INTO `record` VALUES ('16249', null, '2022-08-03 16:00:14', '1', '3', '1', '30.94', '0.00', '30.94');
INSERT INTO `record` VALUES ('16250', null, '2022-08-03 16:01:39', '1', '3', '1', '6.23', '0.00', '6.23');
INSERT INTO `record` VALUES ('16251', null, '2022-08-03 17:48:28', '1', '3', '1', '2.38', '0.00', '2.38');
INSERT INTO `record` VALUES ('16252', null, '2022-08-04 09:04:26', '1', '2', '1', '3.71', '0.00', '3.71');
INSERT INTO `record` VALUES ('16253', null, '2022-08-04 09:05:11', '1', '2', '1', '16.25', '0.00', '16.25');
INSERT INTO `record` VALUES ('16254', null, '2022-08-04 09:10:05', '1', '2', '1', '6.76', '0.00', '6.76');
INSERT INTO `record` VALUES ('16255', null, '2022-08-04 09:17:12', '1', '2', '1', '3.32', '0.00', '3.32');
INSERT INTO `record` VALUES ('16256', null, '2022-08-04 09:17:42', '1', '2', '1', '7.55', '0.00', '7.55');
INSERT INTO `record` VALUES ('16257', null, '2022-08-04 11:12:21', '1', '2', '2', '19.86', '0.00', '19.86');
INSERT INTO `record` VALUES ('16258', null, '2022-08-04 11:12:33', '1', '2', '2', '4.87', '0.00', '4.87');
INSERT INTO `record` VALUES ('16259', null, '2022-08-04 11:12:44', '1', '2', '2', '8.72', '0.00', '8.72');
INSERT INTO `record` VALUES ('16260', null, '2022-08-04 11:13:26', '1', '2', '2', '11.01', '0.00', '11.01');
INSERT INTO `record` VALUES ('16261', null, '2022-08-04 11:14:18', '1', '2', '2', '11.41', '0.00', '11.41');
INSERT INTO `record` VALUES ('16262', null, '2022-08-04 11:15:08', '1', '2', '2', '10.85', '0.00', '10.85');
INSERT INTO `record` VALUES ('16263', null, '2022-08-04 11:15:22', '1', '2', '2', '8.78', '0.00', '8.78');
INSERT INTO `record` VALUES ('16264', null, '2022-08-04 14:29:22', '1', '2', '2', '2.88', '0.00', '2.88');
INSERT INTO `record` VALUES ('16265', null, '2022-08-04 14:29:30', '1', '2', '2', '1.20', '0.00', '1.20');
INSERT INTO `record` VALUES ('16266', null, '2022-08-04 14:30:01', '1', '2', '2', '18.38', '0.00', '18.38');
INSERT INTO `record` VALUES ('16267', null, '2022-08-05 11:27:37', '1', '2', '2', '4.92', '0.00', '4.92');
INSERT INTO `record` VALUES ('16268', null, '2022-08-05 14:37:48', '1', '2', '1', '10.25', '0.00', '10.25');
INSERT INTO `record` VALUES ('16269', null, '2022-08-05 14:38:22', '1', '2', '1', '11.14', '0.00', '11.14');
INSERT INTO `record` VALUES ('16270', null, '2022-08-05 14:38:24', '1', '2', '1', '11.16', '0.00', '11.16');
INSERT INTO `record` VALUES ('16271', null, '2022-08-05 14:39:06', '1', '2', '1', '11.16', '0.00', '11.16');
INSERT INTO `record` VALUES ('16272', null, '2022-08-05 14:39:07', '1', '2', '1', '11.16', '0.00', '11.16');
INSERT INTO `record` VALUES ('16273', null, '2022-08-05 14:39:08', '1', '2', '2', '11.16', '0.00', '11.16');
INSERT INTO `record` VALUES ('16274', null, '2022-08-05 14:43:16', '1', '2', '2', '2.22', '0.00', '2.22');
INSERT INTO `record` VALUES ('16275', null, '2022-08-05 14:43:34', '1', '2', '1', '3.58', '0.00', '3.58');
INSERT INTO `record` VALUES ('16276', null, '2022-08-05 14:43:36', '1', '2', '1', '3.58', '0.00', '3.58');
INSERT INTO `record` VALUES ('16277', null, '2022-08-05 14:43:37', '1', '2', '2', '3.58', '0.00', '3.58');
INSERT INTO `record` VALUES ('16278', null, '2022-08-05 14:43:48', '1', '2', '1', '3.58', '0.00', '3.58');
INSERT INTO `record` VALUES ('16279', null, '2022-08-05 14:43:54', '1', '2', '1', '3.58', '0.00', '3.58');
INSERT INTO `record` VALUES ('16280', null, '2022-08-05 14:43:55', '1', '2', '1', '3.57', '0.00', '3.57');
INSERT INTO `record` VALUES ('16281', null, '2022-08-05 14:43:57', '1', '2', '2', '3.57', '0.00', '3.57');
INSERT INTO `record` VALUES ('16282', null, '2022-08-05 14:44:07', '1', '2', '1', '3.56', '0.00', '3.56');
INSERT INTO `record` VALUES ('16283', null, '2022-08-05 14:45:35', '1', '2', '1', '3.56', '0.00', '3.56');
INSERT INTO `record` VALUES ('16284', null, '2022-08-05 14:45:50', '1', '2', '1', '3.56', '0.00', '3.56');
INSERT INTO `record` VALUES ('16285', null, '2022-08-05 14:45:54', '1', '2', '1', '5.32', '0.00', '5.32');
INSERT INTO `record` VALUES ('16286', null, '2022-08-05 14:46:25', '1', '2', '1', '5.80', '0.00', '5.80');
INSERT INTO `record` VALUES ('16287', null, '2022-08-05 14:46:33', '1', '2', '1', '5.80', '0.00', '5.80');
INSERT INTO `record` VALUES ('16288', null, '2022-08-05 14:46:48', '1', '2', '2', '4.10', '0.00', '4.10');
INSERT INTO `record` VALUES ('16289', null, '2022-08-05 14:46:49', '1', '2', '2', '4.10', '0.00', '4.10');
INSERT INTO `record` VALUES ('16290', null, '2022-08-05 14:46:58', '1', '2', '1', '4.10', '0.00', '4.10');
INSERT INTO `record` VALUES ('16291', null, '2022-08-05 14:46:59', '1', '2', '1', '4.10', '0.00', '4.10');
INSERT INTO `record` VALUES ('16292', null, '2022-08-05 14:47:17', '1', '2', '1', '4.09', '0.00', '4.09');
INSERT INTO `record` VALUES ('16293', null, '2022-08-05 14:47:18', '1', '2', '2', '4.10', '0.00', '4.10');
INSERT INTO `record` VALUES ('16294', null, '2022-08-05 14:47:33', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16295', null, '2022-08-05 14:47:35', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16296', null, '2022-08-05 14:47:37', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16297', null, '2022-08-05 14:47:38', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16298', null, '2022-08-05 14:47:40', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16299', null, '2022-08-05 14:47:42', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16300', null, '2022-08-05 14:47:45', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16301', null, '2022-08-05 14:47:47', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16302', null, '2022-08-05 14:47:48', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16303', null, '2022-08-05 14:47:51', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16304', null, '2022-08-05 14:48:16', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16305', null, '2022-08-05 14:48:39', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16306', null, '2022-08-05 14:49:56', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16307', null, '2022-08-05 14:50:17', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16308', null, '2022-08-05 14:50:26', '1', '2', '2', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16309', null, '2022-08-05 14:50:30', '1', '2', '1', '4.08', '0.00', '4.08');
INSERT INTO `record` VALUES ('16310', null, '2022-08-05 15:09:09', '1', '2', '1', '3.24', '0.00', '3.24');
INSERT INTO `record` VALUES ('16311', null, '2022-08-05 15:16:08', '1', '2', '1', '3.38', '0.00', '3.38');
INSERT INTO `record` VALUES ('16312', null, '2022-08-05 15:16:22', '1', '2', '1', '3.38', '0.00', '3.38');
INSERT INTO `record` VALUES ('16313', null, '2022-08-05 15:16:44', '1', '2', '1', '3.38', '0.00', '3.38');
INSERT INTO `record` VALUES ('16314', null, '2022-08-05 15:16:58', '1', '2', '1', '3.38', '0.00', '3.38');
INSERT INTO `record` VALUES ('16315', null, '2022-08-05 15:17:25', '1', '2', '1', '3.38', '0.00', '3.38');
INSERT INTO `record` VALUES ('16316', null, '2022-08-05 15:29:37', '1', '2', '1', '2.72', '0.00', '2.72');
INSERT INTO `record` VALUES ('16317', null, '2022-08-05 15:29:55', '1', '2', '1', '6.18', '0.00', '6.18');
INSERT INTO `record` VALUES ('16318', null, '2022-08-05 17:18:34', '1', '3', '1', '7.49', '0.00', '7.49');
INSERT INTO `record` VALUES ('16319', null, '2022-08-05 18:00:10', '1', '3', '1', '5.40', '0.00', '5.40');
INSERT INTO `record` VALUES ('16320', null, '2022-08-06 09:05:51', '1', '2', '1', '11.54', '0.00', '11.54');
INSERT INTO `record` VALUES ('16321', null, '2022-08-06 09:08:52', '1', '2', '2', '10.94', '0.00', '10.94');
INSERT INTO `record` VALUES ('16322', null, '2022-08-06 09:10:31', '1', '2', '2', '4.58', '0.00', '4.58');
INSERT INTO `record` VALUES ('16323', null, '2022-08-06 09:13:52', '1', '2', '2', '7.80', '0.00', '7.80');
INSERT INTO `record` VALUES ('16324', null, '2022-08-06 09:14:17', '1', '2', '1', '13.24', '0.00', '13.24');
INSERT INTO `record` VALUES ('16325', null, '2022-08-06 09:17:52', '1', '2', '1', '2.83', '0.00', '2.83');
INSERT INTO `record` VALUES ('16326', null, '2022-08-06 09:18:00', '1', '2', '1', '2.22', '0.00', '2.22');
INSERT INTO `record` VALUES ('16327', null, '2022-08-06 09:18:28', '1', '2', '1', '4.04', '0.00', '4.04');
INSERT INTO `record` VALUES ('16328', null, '2022-08-06 10:57:55', '1', '2', '2', '8.02', '0.00', '8.02');
INSERT INTO `record` VALUES ('16329', null, '2022-08-06 14:30:32', '1', '2', '2', '37.40', '0.00', '37.40');
INSERT INTO `record` VALUES ('16330', null, '2022-08-06 14:30:46', '1', '2', '2', '4.52', '0.00', '4.52');
INSERT INTO `record` VALUES ('16331', null, '2022-08-06 14:31:27', '1', '2', '1', '2.45', '0.00', '2.45');
INSERT INTO `record` VALUES ('16332', null, '2022-08-06 15:13:03', '1', '2', '2', '9.29', '0.00', '9.29');
INSERT INTO `record` VALUES ('16333', null, '2022-08-06 15:14:21', '1', '2', '1', '5.25', '0.00', '5.25');
INSERT INTO `record` VALUES ('16334', null, '2022-08-06 15:14:26', '1', '2', '1', '6.33', '0.00', '6.33');
INSERT INTO `record` VALUES ('16335', null, '2022-08-06 15:46:41', '1', '2', '4', '2.78', '0.00', '2.78');
INSERT INTO `record` VALUES ('16336', null, '2022-08-06 15:46:51', '1', '2', '4', '4.90', '0.00', '4.90');
INSERT INTO `record` VALUES ('16337', null, '2022-08-06 15:47:58', '1', '2', '4', '8.87', '0.00', '8.87');
INSERT INTO `record` VALUES ('16338', null, '2022-08-06 15:49:16', '1', '2', '3', '1.44', '0.00', '1.44');
INSERT INTO `record` VALUES ('16339', null, '2022-08-06 15:49:42', '1', '2', '3', '6.48', '0.00', '6.48');
INSERT INTO `record` VALUES ('16340', null, '2022-08-06 15:49:47', '1', '2', '3', '4.78', '0.00', '4.78');
INSERT INTO `record` VALUES ('16341', null, '2022-08-06 15:57:38', '1', '2', '4', '2.14', '0.00', '2.14');
INSERT INTO `record` VALUES ('16342', null, '2022-08-06 16:48:18', '1', '3', '6', '3.54', '0.00', '3.54');
INSERT INTO `record` VALUES ('16343', null, '2022-08-06 16:48:36', '1', '3', '6', '10.57', '0.00', '10.57');
INSERT INTO `record` VALUES ('16344', null, '2022-08-06 16:48:40', '1', '3', '5', '2.60', '0.00', '2.60');
INSERT INTO `record` VALUES ('16345', null, '2022-08-06 16:48:53', '1', '3', '5', '5.16', '0.00', '5.16');
INSERT INTO `record` VALUES ('16346', null, '2022-08-06 16:49:11', '1', '3', '6', '5.68', '0.00', '5.68');
INSERT INTO `record` VALUES ('16347', null, '2022-08-06 16:49:32', '1', '3', '6', '6.93', '0.00', '6.93');
INSERT INTO `record` VALUES ('16348', null, '2022-08-06 16:49:54', '1', '3', '5', '3.68', '0.00', '3.68');
INSERT INTO `record` VALUES ('16349', null, '2022-08-07 07:29:23', '1', '1', '5', '1.12', '0.00', '1.12');
INSERT INTO `record` VALUES ('16350', null, '2022-08-07 14:56:21', '1', '1', '6', '5.36', '0.00', '5.36');
INSERT INTO `record` VALUES ('16351', null, '2022-08-07 14:56:38', '1', '1', '6', '6.34', '0.00', '6.34');
INSERT INTO `record` VALUES ('16352', null, '2022-08-08 10:56:52', '1', '1', '5', '2.54', '0.00', '2.54');
INSERT INTO `record` VALUES ('16353', null, '2022-08-09 10:45:33', '1', '1', '6', '8.48', '0.00', '8.48');
INSERT INTO `record` VALUES ('16354', null, '2022-08-09 10:45:47', '1', '1', '5', '7.84', '0.00', '7.84');
INSERT INTO `record` VALUES ('16355', null, '2022-08-09 10:46:14', '1', '1', '5', '7.92', '0.00', '7.92');
INSERT INTO `record` VALUES ('16356', null, '2022-08-09 10:46:15', '1', '1', '6', '4.90', '0.00', '4.90');
INSERT INTO `record` VALUES ('16357', null, '2022-08-09 15:55:31', '1', '1', '6', '2.84', '0.00', '2.84');
INSERT INTO `record` VALUES ('16358', null, '2022-08-09 15:55:35', '1', '1', '6', '2.46', '0.00', '2.46');
INSERT INTO `record` VALUES ('16359', null, '2022-08-09 15:56:48', '1', '1', '6', '2.80', '0.00', '2.80');
INSERT INTO `record` VALUES ('16360', null, '2022-08-09 15:56:58', '1', '1', '5', '2.60', '0.00', '2.60');
INSERT INTO `record` VALUES ('16361', null, '2022-08-09 16:14:41', '1', '2', '6', '3.96', '0.00', '3.96');
INSERT INTO `record` VALUES ('16362', null, '2022-08-09 16:15:26', '1', '2', '5', '4.43', '0.00', '4.43');
INSERT INTO `record` VALUES ('16363', null, '2022-08-09 17:57:40', '1', '2', '6', '3.31', '0.00', '3.31');

-- ----------------------------
-- Table structure for team
-- ----------------------------
DROP TABLE IF EXISTS `team`;
CREATE TABLE `team` (
  `Id` int unsigned NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '名称',
  `starttime` varchar(50) DEFAULT NULL COMMENT '开始时间',
  `endtime` varchar(50) DEFAULT NULL COMMENT '结束时间',
  `time` datetime DEFAULT NULL COMMENT '添加时间',
  `nextday` int DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='班组';

-- ----------------------------
-- Records of team
-- ----------------------------
INSERT INTO `team` VALUES ('1', '一班', '8:00:00', '16:00:00', '2020-03-13 10:13:47', '0');
INSERT INTO `team` VALUES ('2', '二班', '16:00:00', '23:59:59', '2020-03-13 10:14:00', '0');
INSERT INTO `team` VALUES ('3', '三班', '00:00:00', '8:00:00', '2020-03-13 10:14:00', '0');

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `role` int DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `account` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `islocked` tinyint DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES ('1', '1', 'admin', 'admin', '4A4C792C73685578', '0', '2021-03-09 14:35:44');
INSERT INTO `user` VALUES ('2', '1', 'user', 'user', '4A4C792C73685578', '0', '2022-08-09 16:03:57');

-- ----------------------------
-- Table structure for userlog
-- ----------------------------
DROP TABLE IF EXISTS `userlog`;
CREATE TABLE `userlog` (
  `id` int NOT NULL AUTO_INCREMENT,
  `userid` varchar(20) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `account` varchar(50) DEFAULT NULL,
  `username` varchar(50) DEFAULT NULL,
  `logintime` datetime DEFAULT NULL,
  `logouttime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=165 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of userlog
-- ----------------------------
INSERT INTO `userlog` VALUES ('1', '1', '2022-07-30 11:44:53', 'admin', 'admin', '2022-07-30 11:44:53', '2022-07-30 11:44:53');
INSERT INTO `userlog` VALUES ('2', '1', '2022-07-30 11:45:07', 'admin', 'admin', '2022-07-30 11:45:07', '2022-07-30 11:45:07');
INSERT INTO `userlog` VALUES ('3', '1', '2022-07-30 11:45:31', 'admin', 'admin', '2022-07-30 11:45:31', '2022-07-30 11:45:31');
INSERT INTO `userlog` VALUES ('4', '1', '2022-07-30 11:46:04', 'admin', 'admin', '2022-07-30 11:46:04', '2022-07-30 11:46:04');
INSERT INTO `userlog` VALUES ('5', '1', '2022-07-30 11:46:36', 'admin', 'admin', '2022-07-30 11:46:36', '2022-07-30 11:46:36');
INSERT INTO `userlog` VALUES ('6', '1', '2022-07-30 14:00:40', 'admin', 'admin', '2022-07-30 14:00:40', '2022-07-30 14:00:40');
INSERT INTO `userlog` VALUES ('7', '1', '2022-07-30 14:01:25', 'admin', 'admin', '2022-07-30 14:01:25', '2022-07-30 14:01:25');
INSERT INTO `userlog` VALUES ('8', '1', '2022-07-30 16:39:10', 'admin', 'admin', '2022-07-30 16:39:10', '2022-07-30 16:39:10');
INSERT INTO `userlog` VALUES ('9', '1', '2022-07-30 16:39:45', 'admin', 'admin', '2022-07-30 16:39:45', '2022-07-30 16:39:45');
INSERT INTO `userlog` VALUES ('10', '1', '2022-07-30 16:41:48', 'admin', 'admin', '2022-07-30 16:41:48', '2022-07-30 16:41:48');
INSERT INTO `userlog` VALUES ('11', '1', '2022-07-30 16:43:40', 'admin', 'admin', '2022-07-30 16:43:40', '2022-07-30 16:43:40');
INSERT INTO `userlog` VALUES ('12', '1', '2022-07-30 16:45:57', 'admin', 'admin', '2022-07-30 16:45:57', '2022-07-30 16:45:57');
INSERT INTO `userlog` VALUES ('13', '1', '2022-07-30 16:48:52', 'admin', 'admin', '2022-07-30 16:48:52', '2022-07-30 16:48:52');
INSERT INTO `userlog` VALUES ('14', '1', '2022-07-30 16:49:29', 'admin', 'admin', '2022-07-30 16:49:29', '2022-07-30 16:49:29');
INSERT INTO `userlog` VALUES ('15', '1', '2022-07-30 16:50:44', 'admin', 'admin', '2022-07-30 16:50:44', '2022-07-30 16:50:44');
INSERT INTO `userlog` VALUES ('16', '1', '2022-07-30 16:51:17', 'admin', 'admin', '2022-07-30 16:51:17', '2022-07-30 16:51:17');
INSERT INTO `userlog` VALUES ('17', '1', '2022-08-01 09:08:55', 'admin', 'admin', '2022-08-01 09:08:55', '2022-08-01 09:08:55');
INSERT INTO `userlog` VALUES ('18', '1', '2022-08-01 09:12:46', 'admin', 'admin', '2022-08-01 09:12:46', '2022-08-01 09:13:33');
INSERT INTO `userlog` VALUES ('19', '1', '2022-08-01 09:14:13', 'admin', 'admin', '2022-08-01 09:14:13', '2022-08-01 09:14:13');
INSERT INTO `userlog` VALUES ('20', '1', '2022-08-01 09:16:25', 'admin', 'admin', '2022-08-01 09:16:25', '2022-08-01 09:16:25');
INSERT INTO `userlog` VALUES ('21', '1', '2022-08-01 09:17:48', 'admin', 'admin', '2022-08-01 09:17:48', '2022-08-01 09:33:04');
INSERT INTO `userlog` VALUES ('22', '1', '2022-08-02 15:50:37', 'admin', 'admin', '2022-08-02 15:50:37', '2022-08-02 15:50:42');
INSERT INTO `userlog` VALUES ('23', '1', '2022-08-02 16:21:24', 'admin', 'admin', '2022-08-02 16:21:24', '2022-08-02 16:21:24');
INSERT INTO `userlog` VALUES ('24', '1', '2022-08-02 16:22:20', 'admin', 'admin', '2022-08-02 16:22:20', '2022-08-02 16:22:20');
INSERT INTO `userlog` VALUES ('25', '1', '2022-08-02 16:22:55', 'admin', 'admin', '2022-08-02 16:22:55', '2022-08-02 16:22:55');
INSERT INTO `userlog` VALUES ('26', '1', '2022-08-02 16:23:24', 'admin', 'admin', '2022-08-02 16:23:24', '2022-08-02 16:23:24');
INSERT INTO `userlog` VALUES ('27', '1', '2022-08-02 16:24:15', 'admin', 'admin', '2022-08-02 16:24:15', '2022-08-02 16:31:13');
INSERT INTO `userlog` VALUES ('28', '1', '2022-08-02 16:57:04', 'admin', 'admin', '2022-08-02 16:57:04', '2022-08-02 17:44:52');
INSERT INTO `userlog` VALUES ('29', '1', '2022-08-03 15:57:56', 'admin', 'admin', '2022-08-03 15:57:56', '2022-08-03 15:57:56');
INSERT INTO `userlog` VALUES ('30', '1', '2022-08-03 15:59:08', 'admin', 'admin', '2022-08-03 15:59:08', '2022-08-03 15:59:08');
INSERT INTO `userlog` VALUES ('31', '1', '2022-08-03 17:48:17', 'admin', 'admin', '2022-08-03 17:48:17', '2022-08-03 17:48:17');
INSERT INTO `userlog` VALUES ('32', '1', '2022-08-04 09:00:25', 'admin', 'admin', '2022-08-04 09:00:25', '2022-08-04 09:01:01');
INSERT INTO `userlog` VALUES ('33', '1', '2022-08-04 09:01:19', 'admin', 'admin', '2022-08-04 09:01:19', '2022-08-04 09:01:19');
INSERT INTO `userlog` VALUES ('34', '1', '2022-08-04 09:08:18', 'admin', 'admin', '2022-08-04 09:08:18', '2022-08-04 09:08:18');
INSERT INTO `userlog` VALUES ('35', '1', '2022-08-04 09:17:00', 'admin', 'admin', '2022-08-04 09:17:00', '2022-08-04 09:17:00');
INSERT INTO `userlog` VALUES ('36', '1', '2022-08-04 10:46:46', 'admin', 'admin', '2022-08-04 10:46:46', '2022-08-04 10:46:54');
INSERT INTO `userlog` VALUES ('37', '1', '2022-08-04 10:48:59', 'admin', 'admin', '2022-08-04 10:48:59', '2022-08-04 10:48:59');
INSERT INTO `userlog` VALUES ('38', '1', '2022-08-04 10:52:29', 'admin', 'admin', '2022-08-04 10:52:29', '2022-08-04 10:52:29');
INSERT INTO `userlog` VALUES ('39', '1', '2022-08-04 10:53:44', 'admin', 'admin', '2022-08-04 10:53:44', '2022-08-04 10:53:44');
INSERT INTO `userlog` VALUES ('40', '1', '2022-08-04 10:56:51', 'admin', 'admin', '2022-08-04 10:56:51', '2022-08-04 10:56:51');
INSERT INTO `userlog` VALUES ('41', '1', '2022-08-04 11:00:46', 'admin', 'admin', '2022-08-04 11:00:46', '2022-08-04 11:00:46');
INSERT INTO `userlog` VALUES ('42', '1', '2022-08-04 11:12:02', 'admin', 'admin', '2022-08-04 11:12:02', '2022-08-04 11:17:41');
INSERT INTO `userlog` VALUES ('43', '1', '2022-08-04 11:18:01', 'admin', 'admin', '2022-08-04 11:18:01', '2022-08-04 11:21:27');
INSERT INTO `userlog` VALUES ('44', '1', '2022-08-04 11:23:12', 'admin', 'admin', '2022-08-04 11:23:12', '2022-08-04 11:23:49');
INSERT INTO `userlog` VALUES ('45', '1', '2022-08-04 14:29:10', 'admin', 'admin', '2022-08-04 14:29:10', '2022-08-04 14:29:10');
INSERT INTO `userlog` VALUES ('46', '1', '2022-08-04 14:55:17', 'admin', 'admin', '2022-08-04 14:55:17', '2022-08-04 14:57:22');
INSERT INTO `userlog` VALUES ('47', '1', '2022-08-04 15:03:42', 'admin', 'admin', '2022-08-04 15:03:42', '2022-08-04 15:03:42');
INSERT INTO `userlog` VALUES ('48', '1', '2022-08-04 15:51:13', 'admin', 'admin', '2022-08-04 15:51:13', '2022-08-04 15:51:13');
INSERT INTO `userlog` VALUES ('49', '1', '2022-08-04 15:53:59', 'admin', 'admin', '2022-08-04 15:53:59', '2022-08-04 15:53:59');
INSERT INTO `userlog` VALUES ('50', '1', '2022-08-04 15:57:04', 'admin', 'admin', '2022-08-04 15:57:04', '2022-08-04 15:57:54');
INSERT INTO `userlog` VALUES ('51', '1', '2022-08-04 16:39:41', 'admin', 'admin', '2022-08-04 16:39:41', '2022-08-04 16:39:55');
INSERT INTO `userlog` VALUES ('52', '1', '2022-08-04 16:40:38', 'admin', 'admin', '2022-08-04 16:40:38', '2022-08-04 16:41:32');
INSERT INTO `userlog` VALUES ('53', '1', '2022-08-04 17:13:54', 'admin', 'admin', '2022-08-04 17:13:54', '2022-08-04 17:14:02');
INSERT INTO `userlog` VALUES ('54', '1', '2022-08-04 17:14:26', 'admin', 'admin', '2022-08-04 17:14:26', '2022-08-04 17:14:26');
INSERT INTO `userlog` VALUES ('55', '1', '2022-08-04 17:16:12', 'admin', 'admin', '2022-08-04 17:16:12', '2022-08-04 17:16:12');
INSERT INTO `userlog` VALUES ('56', '1', '2022-08-04 17:58:53', 'admin', 'admin', '2022-08-04 17:58:53', '2022-08-04 17:59:50');
INSERT INTO `userlog` VALUES ('57', '1', '2022-08-05 11:24:11', 'admin', 'admin', '2022-08-05 11:24:11', '2022-08-05 11:24:40');
INSERT INTO `userlog` VALUES ('58', '1', '2022-08-05 11:25:46', 'admin', 'admin', '2022-08-05 11:25:46', '2022-08-05 11:27:23');
INSERT INTO `userlog` VALUES ('59', '1', '2022-08-05 11:27:28', 'admin', 'admin', '2022-08-05 11:27:28', '2022-08-05 11:30:00');
INSERT INTO `userlog` VALUES ('60', '1', '2022-08-05 11:31:36', 'admin', 'admin', '2022-08-05 11:31:36', '2022-08-05 11:32:54');
INSERT INTO `userlog` VALUES ('61', '1', '2022-08-05 11:33:40', 'admin', 'admin', '2022-08-05 11:33:40', '2022-08-05 11:33:40');
INSERT INTO `userlog` VALUES ('62', '1', '2022-08-05 11:38:24', 'admin', 'admin', '2022-08-05 11:38:24', '2022-08-05 11:41:58');
INSERT INTO `userlog` VALUES ('63', '1', '2022-08-05 11:44:09', 'admin', 'admin', '2022-08-05 11:44:09', '2022-08-05 11:52:41');
INSERT INTO `userlog` VALUES ('64', '1', '2022-08-05 13:57:59', 'admin', 'admin', '2022-08-05 13:57:59', '2022-08-05 14:24:06');
INSERT INTO `userlog` VALUES ('65', '1', '2022-08-05 14:24:34', 'admin', 'admin', '2022-08-05 14:24:34', '2022-08-05 14:24:58');
INSERT INTO `userlog` VALUES ('66', '1', '2022-08-05 14:25:03', 'admin', 'admin', '2022-08-05 14:25:03', '2022-08-05 14:25:22');
INSERT INTO `userlog` VALUES ('67', '1', '2022-08-05 14:29:51', 'admin', 'admin', '2022-08-05 14:29:51', '2022-08-05 14:33:50');
INSERT INTO `userlog` VALUES ('68', '1', '2022-08-05 14:33:55', 'admin', 'admin', '2022-08-05 14:33:55', '2022-08-05 14:34:07');
INSERT INTO `userlog` VALUES ('69', '1', '2022-08-05 14:37:21', 'admin', 'admin', '2022-08-05 14:37:21', '2022-08-05 14:38:35');
INSERT INTO `userlog` VALUES ('70', '1', '2022-08-05 14:39:06', 'admin', 'admin', '2022-08-05 14:39:06', '2022-08-05 14:39:31');
INSERT INTO `userlog` VALUES ('71', '1', '2022-08-05 14:41:02', 'admin', 'admin', '2022-08-05 14:41:02', '2022-08-05 14:41:02');
INSERT INTO `userlog` VALUES ('72', '1', '2022-08-05 14:42:57', 'admin', 'admin', '2022-08-05 14:42:57', '2022-08-05 14:42:57');
INSERT INTO `userlog` VALUES ('73', '1', '2022-08-05 14:45:35', 'admin', 'admin', '2022-08-05 14:45:35', '2022-08-05 14:45:35');
INSERT INTO `userlog` VALUES ('74', '1', '2022-08-05 15:08:33', 'admin', 'admin', '2022-08-05 15:08:33', '2022-08-05 15:10:03');
INSERT INTO `userlog` VALUES ('75', '1', '2022-08-05 15:15:17', 'admin', 'admin', '2022-08-05 15:15:17', '2022-08-05 15:15:17');
INSERT INTO `userlog` VALUES ('76', '1', '2022-08-05 15:29:26', 'admin', 'admin', '2022-08-05 15:29:26', '2022-08-05 15:30:39');
INSERT INTO `userlog` VALUES ('77', '1', '2022-08-05 15:31:33', 'admin', 'admin', '2022-08-05 15:31:33', '2022-08-05 15:31:33');
INSERT INTO `userlog` VALUES ('78', '1', '2022-08-05 17:18:15', 'admin', 'admin', '2022-08-05 17:18:15', '2022-08-05 17:18:15');
INSERT INTO `userlog` VALUES ('79', '1', '2022-08-05 17:59:06', 'admin', 'admin', '2022-08-05 17:59:06', '2022-08-05 18:00:29');
INSERT INTO `userlog` VALUES ('80', '1', '2022-08-06 08:59:39', 'admin', 'admin', '2022-08-06 08:59:39', '2022-08-06 09:02:07');
INSERT INTO `userlog` VALUES ('81', '1', '2022-08-06 09:04:48', 'admin', 'admin', '2022-08-06 09:04:48', '2022-08-06 09:04:48');
INSERT INTO `userlog` VALUES ('82', '1', '2022-08-06 09:05:38', 'admin', 'admin', '2022-08-06 09:05:38', '2022-08-06 09:05:38');
INSERT INTO `userlog` VALUES ('83', '1', '2022-08-06 09:07:02', 'admin', 'admin', '2022-08-06 09:07:02', '2022-08-06 09:07:02');
INSERT INTO `userlog` VALUES ('84', '1', '2022-08-06 09:08:23', 'admin', 'admin', '2022-08-06 09:08:23', '2022-08-06 09:08:23');
INSERT INTO `userlog` VALUES ('85', '1', '2022-08-06 09:11:57', 'admin', 'admin', '2022-08-06 09:11:57', '2022-08-06 09:12:03');
INSERT INTO `userlog` VALUES ('86', '1', '2022-08-06 09:13:26', 'admin', 'admin', '2022-08-06 09:13:26', '2022-08-06 09:14:32');
INSERT INTO `userlog` VALUES ('87', '1', '2022-08-06 09:17:39', 'admin', 'admin', '2022-08-06 09:17:39', '2022-08-06 09:22:31');
INSERT INTO `userlog` VALUES ('88', '1', '2022-08-06 09:25:34', 'admin', 'admin', '2022-08-06 09:25:34', '2022-08-06 09:31:19');
INSERT INTO `userlog` VALUES ('89', '1', '2022-08-06 10:07:52', 'admin', 'admin', '2022-08-06 10:07:52', '2022-08-06 10:07:52');
INSERT INTO `userlog` VALUES ('90', '1', '2022-08-06 10:29:44', 'admin', 'admin', '2022-08-06 10:29:44', '2022-08-06 10:29:44');
INSERT INTO `userlog` VALUES ('91', '1', '2022-08-06 10:57:40', 'admin', 'admin', '2022-08-06 10:57:40', '2022-08-06 10:58:47');
INSERT INTO `userlog` VALUES ('92', '1', '2022-08-06 11:15:09', 'admin', 'admin', '2022-08-06 11:15:09', '2022-08-06 11:15:09');
INSERT INTO `userlog` VALUES ('93', '1', '2022-08-06 11:16:32', 'admin', 'admin', '2022-08-06 11:16:32', '2022-08-06 11:29:51');
INSERT INTO `userlog` VALUES ('94', '1', '2022-08-06 14:30:08', 'admin', 'admin', '2022-08-06 14:30:08', '2022-08-06 14:30:08');
INSERT INTO `userlog` VALUES ('95', '1', '2022-08-06 14:35:46', 'admin', 'admin', '2022-08-06 14:35:46', '2022-08-06 14:35:46');
INSERT INTO `userlog` VALUES ('96', '1', '2022-08-06 14:46:03', 'admin', 'admin', '2022-08-06 14:46:03', '2022-08-06 14:46:03');
INSERT INTO `userlog` VALUES ('97', '1', '2022-08-06 14:47:16', 'admin', 'admin', '2022-08-06 14:47:16', '2022-08-06 15:03:10');
INSERT INTO `userlog` VALUES ('98', '1', '2022-08-06 15:12:45', 'admin', 'admin', '2022-08-06 15:12:45', '2022-08-06 15:14:37');
INSERT INTO `userlog` VALUES ('99', '1', '2022-08-06 15:45:34', 'admin', 'admin', '2022-08-06 15:45:34', '2022-08-06 15:57:44');
INSERT INTO `userlog` VALUES ('100', '1', '2022-08-06 16:26:14', 'admin', 'admin', '2022-08-06 16:26:14', '2022-08-06 16:51:25');
INSERT INTO `userlog` VALUES ('101', '1', '2022-08-06 17:15:17', 'admin', 'admin', '2022-08-06 17:15:17', '2022-08-06 17:15:17');
INSERT INTO `userlog` VALUES ('102', '1', '2022-08-06 17:20:40', 'admin', 'admin', '2022-08-06 17:20:40', '2022-08-06 17:20:40');
INSERT INTO `userlog` VALUES ('103', '1', '2022-08-06 17:25:19', 'admin', 'admin', '2022-08-06 17:25:19', '2022-08-06 17:25:19');
INSERT INTO `userlog` VALUES ('104', '1', '2022-08-06 17:27:12', 'admin', 'admin', '2022-08-06 17:27:12', '2022-08-06 17:27:12');
INSERT INTO `userlog` VALUES ('105', '1', '2022-08-06 17:34:56', 'admin', 'admin', '2022-08-06 17:34:56', '2022-08-06 17:34:56');
INSERT INTO `userlog` VALUES ('106', '1', '2022-08-07 08:28:32', 'admin', 'admin', '2022-08-07 08:28:32', '2022-08-07 08:29:28');
INSERT INTO `userlog` VALUES ('107', '1', '2022-08-07 08:36:43', 'admin', 'admin', '2022-08-07 08:36:43', '2022-08-07 08:36:43');
INSERT INTO `userlog` VALUES ('108', '1', '2022-08-07 08:42:33', 'admin', 'admin', '2022-08-07 08:42:33', '2022-08-07 08:42:33');
INSERT INTO `userlog` VALUES ('109', '1', '2022-08-07 08:50:36', 'admin', 'admin', '2022-08-07 08:50:36', '2022-08-07 08:50:51');
INSERT INTO `userlog` VALUES ('110', '1', '2022-08-07 08:50:58', 'admin', 'admin', '2022-08-07 08:50:58', '2022-08-07 08:50:58');
INSERT INTO `userlog` VALUES ('111', '1', '2022-08-07 08:57:44', 'admin', 'admin', '2022-08-07 08:57:44', '2022-08-07 08:57:44');
INSERT INTO `userlog` VALUES ('112', '1', '2022-08-07 09:05:01', 'admin', 'admin', '2022-08-07 09:05:01', '2022-08-07 09:05:01');
INSERT INTO `userlog` VALUES ('113', '1', '2022-08-07 09:10:47', 'admin', 'admin', '2022-08-07 09:10:47', '2022-08-07 09:10:47');
INSERT INTO `userlog` VALUES ('114', '1', '2022-08-07 09:18:26', 'admin', 'admin', '2022-08-07 09:18:26', '2022-08-07 09:18:26');
INSERT INTO `userlog` VALUES ('115', '1', '2022-08-07 09:21:09', 'admin', 'admin', '2022-08-07 09:21:09', '2022-08-07 09:27:18');
INSERT INTO `userlog` VALUES ('116', '1', '2022-08-07 09:28:01', 'admin', 'admin', '2022-08-07 09:28:01', '2022-08-07 09:28:09');
INSERT INTO `userlog` VALUES ('117', '1', '2022-08-07 09:35:13', 'admin', 'admin', '2022-08-07 09:35:13', '2022-08-07 10:00:33');
INSERT INTO `userlog` VALUES ('118', '1', '2022-08-07 14:38:51', 'admin', 'admin', '2022-08-07 14:38:51', '2022-08-07 14:38:51');
INSERT INTO `userlog` VALUES ('119', '1', '2022-08-07 14:45:59', 'admin', 'admin', '2022-08-07 14:45:59', '2022-08-07 14:45:59');
INSERT INTO `userlog` VALUES ('120', '1', '2022-08-07 14:49:24', 'admin', 'admin', '2022-08-07 14:49:24', '2022-08-07 14:49:24');
INSERT INTO `userlog` VALUES ('121', '1', '2022-08-07 14:50:47', 'admin', 'admin', '2022-08-07 14:50:47', '2022-08-07 14:50:47');
INSERT INTO `userlog` VALUES ('122', '1', '2022-08-07 14:52:09', 'admin', 'admin', '2022-08-07 14:52:09', '2022-08-07 14:52:29');
INSERT INTO `userlog` VALUES ('123', '1', '2022-08-07 14:52:44', 'admin', 'admin', '2022-08-07 14:52:44', '2022-08-07 14:52:44');
INSERT INTO `userlog` VALUES ('124', '1', '2022-08-07 14:53:47', 'admin', 'admin', '2022-08-07 14:53:47', '2022-08-07 14:53:47');
INSERT INTO `userlog` VALUES ('125', '1', '2022-08-07 14:54:24', 'admin', 'admin', '2022-08-07 14:54:24', '2022-08-07 14:54:55');
INSERT INTO `userlog` VALUES ('126', '1', '2022-08-07 14:55:08', 'admin', 'admin', '2022-08-07 14:55:08', '2022-08-07 14:55:08');
INSERT INTO `userlog` VALUES ('127', '1', '2022-08-07 14:56:04', 'admin', 'admin', '2022-08-07 14:56:04', '2022-08-07 14:56:04');
INSERT INTO `userlog` VALUES ('128', '1', '2022-08-07 14:58:02', 'admin', 'admin', '2022-08-07 14:58:02', '2022-08-07 14:58:02');
INSERT INTO `userlog` VALUES ('129', '1', '2022-08-07 14:58:38', 'admin', 'admin', '2022-08-07 14:58:38', '2022-08-07 14:59:54');
INSERT INTO `userlog` VALUES ('130', '1', '2022-08-07 15:00:56', 'admin', 'admin', '2022-08-07 15:00:56', '2022-08-07 15:03:07');
INSERT INTO `userlog` VALUES ('131', '1', '2022-08-07 15:11:42', 'admin', 'admin', '2022-08-07 15:11:42', '2022-08-07 15:14:23');
INSERT INTO `userlog` VALUES ('132', '1', '2022-08-07 15:14:31', 'admin', 'admin', '2022-08-07 15:14:31', '2022-08-07 15:14:31');
INSERT INTO `userlog` VALUES ('133', '1', '2022-08-07 15:17:58', 'admin', 'admin', '2022-08-07 15:17:58', '2022-08-07 15:17:58');
INSERT INTO `userlog` VALUES ('134', '1', '2022-08-07 15:22:49', 'admin', 'admin', '2022-08-07 15:22:49', '2022-08-07 15:22:49');
INSERT INTO `userlog` VALUES ('135', '1', '2022-08-07 15:24:07', 'admin', 'admin', '2022-08-07 15:24:07', '2022-08-07 15:24:32');
INSERT INTO `userlog` VALUES ('136', '1', '2022-08-08 10:56:26', 'admin', 'admin', '2022-08-08 10:56:26', '2022-08-08 11:11:26');
INSERT INTO `userlog` VALUES ('137', '1', '2022-08-08 11:13:07', 'admin', 'admin', '2022-08-08 11:13:07', '2022-08-08 11:13:07');
INSERT INTO `userlog` VALUES ('138', '1', '2022-08-08 11:16:01', 'admin', 'admin', '2022-08-08 11:16:01', '2022-08-08 11:32:54');
INSERT INTO `userlog` VALUES ('139', '1', '2022-08-08 16:53:06', 'admin', 'admin', '2022-08-08 16:53:06', '2022-08-08 16:53:06');
INSERT INTO `userlog` VALUES ('140', '1', '2022-08-08 17:25:10', 'admin', 'admin', '2022-08-08 17:25:10', '2022-08-08 17:25:10');
INSERT INTO `userlog` VALUES ('141', '1', '2022-08-08 17:42:33', 'admin', 'admin', '2022-08-08 17:42:33', '2022-08-08 17:42:33');
INSERT INTO `userlog` VALUES ('142', '1', '2022-08-09 10:16:31', 'admin', 'admin', '2022-08-09 10:16:31', '2022-08-09 10:16:31');
INSERT INTO `userlog` VALUES ('143', '1', '2022-08-09 10:17:12', 'admin', 'admin', '2022-08-09 10:17:12', '2022-08-09 10:17:14');
INSERT INTO `userlog` VALUES ('144', '1', '2022-08-09 10:19:23', 'admin', 'admin', '2022-08-09 10:19:23', '2022-08-09 10:19:23');
INSERT INTO `userlog` VALUES ('145', '1', '2022-08-09 10:31:55', 'admin', 'admin', '2022-08-09 10:31:55', '2022-08-09 10:31:55');
INSERT INTO `userlog` VALUES ('146', '1', '2022-08-09 10:45:23', 'admin', 'admin', '2022-08-09 10:45:23', '2022-08-09 10:46:26');
INSERT INTO `userlog` VALUES ('147', '1', '2022-08-09 15:55:10', 'admin', 'admin', '2022-08-09 15:55:10', '2022-08-09 15:55:10');
INSERT INTO `userlog` VALUES ('148', '1', '2022-08-09 15:56:37', 'admin', 'admin', '2022-08-09 15:56:37', '2022-08-09 15:56:37');
INSERT INTO `userlog` VALUES ('149', '1', '2022-08-09 16:00:57', 'admin', 'admin', '2022-08-09 16:00:57', '2022-08-09 16:00:57');
INSERT INTO `userlog` VALUES ('150', '1', '2022-08-09 16:05:24', 'admin', 'admin', '2022-08-09 16:05:24', '2022-08-09 16:05:24');
INSERT INTO `userlog` VALUES ('151', '1', '2022-08-09 16:06:11', 'admin', 'admin', '2022-08-09 16:06:11', '2022-08-09 16:06:11');
INSERT INTO `userlog` VALUES ('152', '1', '2022-08-09 16:14:30', 'admin', 'admin', '2022-08-09 16:14:30', '2022-08-09 16:15:38');
INSERT INTO `userlog` VALUES ('153', '1', '2022-08-09 17:39:22', 'admin', 'admin', '2022-08-09 17:39:22', '2022-08-09 17:39:22');
INSERT INTO `userlog` VALUES ('154', '1', '2022-08-09 17:49:56', 'admin', 'admin', '2022-08-09 17:49:56', '2022-08-09 17:49:56');
INSERT INTO `userlog` VALUES ('155', '1', '2022-08-09 17:57:27', 'admin', 'admin', '2022-08-09 17:57:27', '2022-08-09 18:00:27');
INSERT INTO `userlog` VALUES ('156', '1', '2022-08-10 08:54:00', 'admin', 'admin', '2022-08-10 08:54:00', '2022-08-10 08:54:00');
INSERT INTO `userlog` VALUES ('157', '1', '2022-08-10 08:58:40', 'admin', 'admin', '2022-08-10 08:58:40', '2022-08-10 08:58:40');
INSERT INTO `userlog` VALUES ('158', '1', '2022-08-10 08:59:43', 'admin', 'admin', '2022-08-10 08:59:43', '2022-08-10 08:59:43');
INSERT INTO `userlog` VALUES ('159', '1', '2022-08-10 09:00:46', 'admin', 'admin', '2022-08-10 09:00:46', '2022-08-10 09:01:39');
INSERT INTO `userlog` VALUES ('160', '1', '2022-08-10 09:02:50', 'admin', 'admin', '2022-08-10 09:02:50', '2022-08-10 09:02:50');
INSERT INTO `userlog` VALUES ('161', '1', '2022-08-10 09:05:39', 'admin', 'admin', '2022-08-10 09:05:39', '2022-08-10 09:05:39');
INSERT INTO `userlog` VALUES ('162', '1', '2022-08-10 09:07:37', 'admin', 'admin', '2022-08-10 09:07:37', '2022-08-10 09:07:37');
INSERT INTO `userlog` VALUES ('163', '1', '2022-08-10 09:11:04', 'admin', 'admin', '2022-08-10 09:11:04', '2022-08-10 09:11:18');
INSERT INTO `userlog` VALUES ('164', '1', '2022-08-10 09:11:54', 'admin', 'admin', '2022-08-10 09:11:54', '2022-08-10 09:12:19');

-- ----------------------------
-- Table structure for zigbee
-- ----------------------------
DROP TABLE IF EXISTS `zigbee`;
CREATE TABLE `zigbee` (
  `id` int NOT NULL,
  `device` int DEFAULT NULL COMMENT '对应ZS02-net设备',
  `code` int DEFAULT NULL COMMENT 'zigbee的节点地址',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '行车名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of zigbee
-- ----------------------------
INSERT INTO `zigbee` VALUES ('1', '1', '1', 'A车');
INSERT INTO `zigbee` VALUES ('2', '1', '3', 'B车');
INSERT INTO `zigbee` VALUES ('3', '2', '4', '3车');
INSERT INTO `zigbee` VALUES ('4', '2', '5', '4车');
INSERT INTO `zigbee` VALUES ('5', '3', '6', 'E车');
INSERT INTO `zigbee` VALUES ('6', '3', '7', '6车');
