﻿using MWS.Library.Common.Module;
using MWS.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IIncludedOperatorTag:IDapperHelper
    {
        /// <summary>
        /// 管理页面分页查询
        /// </summary>
        /// <param name="keyword"></param>
        /// <param name="OperatorType"></param>
        /// <param name="MecType"></param>
        /// <param name="pageIndex"></param>
        /// <param name="pageSize"></param>
        /// <returns></returns>
        PageData<T_IncludedOperatorTag> GetTagRecord(string keyword, int OperatorType, int MecType, int pageIndex, int pageSize);
        int Insert(string sql);
        /// <summary>
        /// 后台访问全部数据
        /// </summary>
        /// <returns></returns>
        List<T_IncludedOperatorTag> GetAll();
    }
}
