﻿using MWS.Library.Common.Resources;
using System;

namespace MWS.Library.Common
{
    public static class Guard
	{
		// Token: 0x0600027C RID: 636 RVA: 0x0000BDA0 File Offset: 0x00009FA0
		public static void ArgumentNotNull(object value, string argumentName)
		{
			if (value == null)
			{
				throw new ArgumentNullException(argumentName, string.Format(DefaultErrorMessages.ArgumentNotNull, argumentName));
			}
		}

		// Token: 0x0600027D RID: 637 RVA: 0x0000BDCC File Offset: 0x00009FCC
		public static void ArgumentNotNullOrEmpty(string value, string argumentName)
		{
			if (value.IsNullOrEmptyOrWhiteSpace())
			{
				throw new ArgumentNullException(argumentName, string.Format(DefaultErrorMessages.ArgumentNotNullOrEmpty, argumentName));
			}
		}
	}
}
