﻿using System.Collections.Generic;

namespace MWS.Model.Dto
{
    public class ComponentTagDto
    {
 
        public short ComponentId { get; set; }

        /// <summary>
        /// 类型 1 PLC 2 Modbus 
        /// </summary>
        public short ComponentType { get; set; }

        /// <summary>   
        /// PLC的 型号   如 SiemensS7:S1200
        /// </summary>
        public string ComponentModel { get; set; }

        /// <summary>
        /// 地址 127.0.0.1
        /// </summary>
        public string ComponentAddress { get; set; }

        /// <summary>
        /// 变量集合
        /// </summary>
        public IEnumerable<TagDto> Tags { get; set; }
    }
}
