﻿using System.Collections.Generic;

namespace MWS.Model.Model
{
    public class IndicatorTagModel
    {
        #region 公用
        /// <summary>
        /// 设备Id
        /// </summary>
        public short DeviceId { get; set; }


        /// <summary>
        /// 净重
        /// </summary>
        public float NetWeight { get; set; }

        /// <summary>
        /// 总重
        /// </summary>
        public float GrossWeight { get; set; }

        /// <summary>
        /// 皮重
        /// </summary>
        public float TareWeight { get; set; }

        /// <summary>
        /// 稳定信号
        /// </summary>
        public bool IsSteady { get; set; }

        /// <summary>
        /// 抓斗打开信号
        /// </summary>
        public bool GrabOpen { get; set; }
        #endregion

        #region 垃圾吊专用
        /// <summary>
        /// 小车就位信号
        /// </summary>
        public bool SmallCarInplace { get; set; }

        /// <summary>
        /// 大车就位
        /// </summary>
        public List<BigCarInplace> BigCarInplaces { get; set; }

        public class BigCarInplace
        {
            /// <summary>
            /// 料口Id
            /// </summary>
            public short EntranceId { get; set; }

            /// <summary>
            /// 就位信号
            /// </summary>
            public bool IsInplace { get; set; }
        }

        #endregion

        #region 灰渣吊 专用
        /// <summary>
        /// 投料就位信号
        /// </summary>
        public bool CarInplace { get; set; }
        #endregion

    }
}
