﻿using System;

namespace MWS.Model.Model
{
    public class TagRecordModel
    {
        /// <summary>
        /// 变量Id
        /// </summary>
        public int TagId { get; set; }

        /// <summary>
        /// 变量名称
        /// </summary>
        public string TagName { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// 开关量类型
        /// </summary>
        public short SwitchType { get; set; }

        /// <summary>
        /// 变量类型
        /// </summary>
        public short TagType { get; set; }

        /// <summary>
        ///  数据类型 1 bool 2 ushort 3 short 4 uint 5 int 6 float 7 string
        /// </summary>
        public short DataType { get; set; }

        public long Time { get; set; }
    }
}
