﻿using System;
using System.Collections.Generic;

namespace MWS.Model.Model
{
    public class WeightDataPickModel
    {
        /// <summary>
        /// 料口Id
        /// </summary>
        public short EntranceId { get; set; }

        /// <summary>
        /// 称重数据
        /// </summary>
        public List<WeightItem> Weights { get; set; }

        public class WeightItem
        {
            /// <summary>
            /// 事件 ss:ffff
            /// </summary>
            public DateTime Time { get; set; }

            /// <summary>
            /// 重量
            /// </summary>
            public float Weight { get; set; }

            /// <summary>
            /// 是否稳定
            /// </summary>
            public bool IsSteady { get; set; }
        }
    }
}