﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Model
{
    [Serializable]
    public class T_IncludedOperatorTag
    {
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 变量Id
        /// </summary>
        public int TagId { get; set; }

        /// <summary>
        /// 变量值
        /// </summary>
        public string TagName { get; set; }
        /// <summary>
        /// 操作类型
        /// </summary>
        public int OperatorType { get; set; }
        /// <summary>
        /// 机构类型
        /// </summary>
        public int MecType { get; set; }
        /// <summary>
        /// 机构名称
        /// </summary>
        public string MecName { get; set; }
    }
}
