﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MWS.Model
{
    [Serializable]
    public partial class T_ManualCalibration
    {
        /// <summary>
        /// Id
        /// </summary>
        [Key]
        public short Id { get; set; }

        /// <summary>
        /// 自动标动点
        /// </summary>
        public int AutoAD { get; set; }

        /// <summary>
        /// 自动标动点编号
        /// </summary>
        public int AutoTagId { get; set; }

        /// <summary>
        /// 自动标动名称
        /// </summary>
        public string AutoName { get; set; }

        /// <summary>
        /// 自动标动点值
        /// </summary>
        public double AutoValue { get; set; }

        /// <summary>
        /// 标动点A
        /// </summary>
        public int ConstAAD { get; set; }

        /// <summary>
        /// 标动点A值
        /// </summary>
        public double ConstAValue { get; set; }

        /// <summary>
        /// 标动点B
        /// </summary>
        public int ConstBAD { get; set; }

        /// <summary>
        /// 标动点B值
        /// </summary>
        public double ConstBValue { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 是否自动标定
        /// </summary>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 变量编号
        /// </summary>
        public int TagId { get; set; }
    }
}