﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MWS.Model
{
    [Serializable]
    public partial class T_OperateRecord
    {
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 变量Id
        /// </summary>
        public int TagId { get; set; }

        /// <summary>
        /// 变量值
        /// </summary>
        public string TagName { get; set; }
        /// <summary>
        /// 操作类型
        /// </summary>
        public int OperatorType { get; set; }
        /// <summary>
        /// 机构类型
        /// </summary>
        public int MecType { get; set; }
        /// <summary>
        /// 机构名称
        /// </summary>
        public string MecName { get; set; }
        /// <summary>
        /// 操作名称
        /// </summary>
        public string Message { get; set; }
        /// <summary>
        /// 存贮值
        /// </summary>
        public string Value { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 当前操作时长
        /// </summary>
        public decimal CurrentOperatroTime { get; set; }
        /// <summary>
        /// 总操作时长
        /// </summary>
        public double TotalOperatorTime { get; set; }
        /// <summary>
        /// 操作次数
        /// </summary>
        public int Operations { get; set; }
    }
}
